Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/7991/?format=api
{ "ob_id": 7991, "uuid": "ec54aec922960e88c3d044b3d1c49e77", "title": "NCAVEO: GER1500 spectroradiometer asphalt reflectance spectra collected from the asphalt car park at the Chilbolton Facility for Atmospheric and Radio Research (CFARR)", "abstract": "An area of asphalt, approximately 3m by 3m in size, within the CFARR perimeter was used as a persistent validation target and frequent reflectance measurements made as part of the (Network for Calibration and Validation of EO data (NCAVEO) 2006 Field Campaign. The centre British National Grid co-ordinates of this validation target, which can be distinguished in the CASI images, are (BNG Easting, BNG Northing) 439335.00, 138586.00. A trolley-mounted GER1500 dual field-of-view spectroradiometer was used to measure the HCRF of the asphalt validation target between 10:54 and 11:38 GMT on the 17th June. \r\n", "keywords": "NCAVEO, SPECTRORADIOMETER, ASPHALT, REFLECTANCE, CHILBOLTON", "publicationState": "published", "dataPublishedTime": "2008-10-08T13:42:21", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/12672/?format=api", "dataPath": "/neodc/ncaveo_field/data/Field_spectra/Asphalt_Spectra", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 389078, "numberOfFiles": 6, "fileFormat": "Spectra data is in SPC and HDR format, and can be viewed in ENVI. A photograph is also available in JPG format showing the dual field-of-view GER1500 being prepared for data collection. " }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/2284/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/172/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "These data were provided to NEODC by university of Southampton, who carried out work to convert formats to NASA-Ames, and write metadata documents. The metadata documents describing the processing are archived alongside the data as PDF files.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/5198/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/7827/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/7824/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30128/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32706/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32711/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32705/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32708/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32709/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32710/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32712/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32707/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/7994/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }